import request from '../../utils/request'
/**
 * 获取审批列表
 */
export function getTemplateList(data) {
  return request({
    url: '/WorkFlowManagement/GetTemplateList',
    method: 'post',
    data
  });
}

/**
 * 获取审批启用和停用
 */
export function setTemplate(data) {
  return request({
    url: '/WorkFlowManagement/SetTemplate',
    method: 'post',
    data
  });
}

/**
 *
 */
export function getDefaultCondition(data) {
  return request({
    url: '/WorkFlowManagement/GetDefaultCondition',
    method: 'post',
    data
  });
}

/**
 *
 */
export function getOtherConditionList(data) {
  return request({
    url: '/WorkFlowManagement/GetOtherConditionList',
    method: 'post',
    data
  });
}

/**
 *请假类型
 */
export function getAskForLeaveType(data) {
  return request({
    url: '/WorkFlowManagement/GetAskForLeaveType',
    method: 'post',
    data
  });
}

/**
 *条件审批保存
 */
export function setOtherCondition(data) {
  return request({
    url: '/WorkFlowManagement/SetOtherCondition',
    method: 'post',
    data
  });
}

/**
 *条件审批删除
 */
export function delOtherCondition(data) {
  return request({
    url: '/WorkFlowManagement/DelOtherCondition',
    method: 'post',
    data
  });
}

/**
 *审核的保存
 */
export function setDefaultCondition(data) {
  return request({
    url: '/WorkFlowManagement/SetDefaultCondition',
    method: 'post',
    data
  });
}

/**
 *获取分段流程详情
 */
export function getConditionAndAuditInfo(data) {
  return request({
    url: '/WorkFlowManagement/GetConditionAndAuditInfo',
    method: 'post',
    data
  });
}




